Rhonabwy: src/misc.c File Reference

Rhonabwy Create, modify, parse or export Json Web Keys as defined in the RFC 7517

Functions
misc.c File Reference
`#include <orcania.h>`
`#include <yder.h>`
`#include <rhonabwy.h>`

## Functions
int | r_global_init ()
void | r_global_close ()
char * | _r_get_http_content (const char *url, int x5u_flags, const char *expected_content_type)
int | _r_json_set_str_value (json_t *j_json, const char *key, const char *str_value)
int | _r_json_set_int_value (json_t *j_json, const char *key, int i_value)
int | _r_json_set_json_t_value (json_t *j_json, const char *key, json_t *j_value)
const char * | _r_json_get_str_value (json_t *j_json, const char *key)
int | _r_json_get_int_value (json_t *j_json, const char *key)
json_t * | _r_json_get_json_t_value (json_t *j_json, const char *key)
json_t * | _r_json_get_full_json_t (json_t *j_json)
jwa_alg | r_str_to_jwa_alg (const char *alg)
const char * | r_jwa_alg_to_str (jwa_alg alg)
jwa_enc | r_str_to_jwa_enc (const char *enc)
const char * | r_jwa_enc_to_str (jwa_enc enc)
json_t * | r_library_info_json_t ()
char * | r_library_info_json_str ()
void | r_free (void *data)

## Function Documentation

## ◆ _r_get_http_content()

char* _r_get_http_content | ( | const char * | url,
|  | int | x5u_flags,
|  | const char * | expected_content_type
| ) |  |

Rhonabwy JSON Web Key (JWK) library

jwk.c: functions definitions

Copyright 2020-2021 Nicolas Mora mail@.nosp@m.babe.nosp@m.loues.nosp@m.t.or.nosp@m.g

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1 of the License.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU GENERAL PUBLIC LICENSE for more details.

You should have received a copy of the GNU General Public License along with this library. If not, see http://www.gnu.org/licenses/.

## ◆ _r_json_set_str_value()

int _r_json_set_str_value | ( | json_t * | j_json,
|  | const char * | key,
|  | const char * | str_value
| ) |  |

## ◆ _r_json_set_int_value()

int _r_json_set_int_value | ( | json_t * | j_json,
|  | const char * | key,
|  | int | i_value
| ) |  |

## ◆ _r_json_set_json_t_value()

int _r_json_set_json_t_value | ( | json_t * | j_json,
|  | const char * | key,
|  | json_t * | j_value
| ) |  |

## ◆ _r_json_get_str_value()

const char* _r_json_get_str_value | ( | json_t * | j_json,
|  | const char * | key
| ) |  |

## ◆ _r_json_get_int_value()

int _r_json_get_int_value | ( | json_t * | j_json,
|  | const char * | key
| ) |  |

## ◆ _r_json_get_json_t_value()

json_t* _r_json_get_json_t_value | ( | json_t * | j_json,
|  | const char * | key
| ) |  |

## ◆ _r_json_get_full_json_t()

json_t* _r_json_get_full_json_t | ( | json_t * | j_json | ) |